Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
Upstream-Name: libm
Upstream-Contact: Jorge Aparicio <jorge@japaric.io>
Source: https://github.com/rust-lang/libm

Files: *
Copyright: FIXME (overlay) UNKNOWN-YEARS Jorge Aparicio <jorge@japaric.io>
License: MIT or Apache-2.0
Comment:
 FIXME (overlay): Since upstream copyright years are not available in
 Cargo.toml, they were extracted from the upstream Git repository. This may not
 be correct information so you should review and fix this before uploading to
 the archive.

Files: ./LICENSE-MIT
Copyright: 2018 Jorge Aparicio
License: UNKNOWN-LICENSE; FIXME (overlay)
Comment:
 FIXME (overlay): These notices are extracted from files. Please review them
 before uploading to the archive.

Files: ./src/math/acos.rs
Copyright: 1993 by Sun Microsystems, Inc. All rights reserved.
License: UNKNOWN-LICENSE; FIXME (overlay)
Comment:
 FIXME (overlay): These notices are extracted from files. Please review them
 before uploading to the archive.

Files: ./src/math/acosf.rs
Copyright: 1993 by Sun Microsystems, Inc. All rights reserved.
License: UNKNOWN-LICENSE; FIXME (overlay)
Comment:
 FIXME (overlay): These notices are extracted from files. Please review them
 before uploading to the archive.

Files: ./src/math/asin.rs
Copyright: 1993 by Sun Microsystems, Inc. All rights reserved.
License: UNKNOWN-LICENSE; FIXME (overlay)
Comment:
 FIXME (overlay): These notices are extracted from files. Please review them
 before uploading to the archive.

Files: ./src/math/asinf.rs
Copyright: 1993 by Sun Microsystems, Inc. All rights reserved.
License: UNKNOWN-LICENSE; FIXME (overlay)
Comment:
 FIXME (overlay): These notices are extracted from files. Please review them
 before uploading to the archive.

Files: ./src/math/atan.rs
Copyright: 1993 by Sun Microsystems, Inc. All rights reserved.
License: UNKNOWN-LICENSE; FIXME (overlay)
Comment:
 FIXME (overlay): These notices are extracted from files. Please review them
 before uploading to the archive.

Files: ./src/math/atan2.rs
Copyright: 1993 by Sun Microsystems, Inc. All rights reserved.
License: UNKNOWN-LICENSE; FIXME (overlay)
Comment:
 FIXME (overlay): These notices are extracted from files. Please review them
 before uploading to the archive.

Files: ./src/math/atan2f.rs
Copyright: 1993 by Sun Microsystems, Inc. All rights reserved.
License: UNKNOWN-LICENSE; FIXME (overlay)
Comment:
 FIXME (overlay): These notices are extracted from files. Please review them
 before uploading to the archive.

Files: ./src/math/atanf.rs
Copyright: 1993 by Sun Microsystems, Inc. All rights reserved.
License: UNKNOWN-LICENSE; FIXME (overlay)
Comment:
 FIXME (overlay): These notices are extracted from files. Please review them
 before uploading to the archive.

Files: ./src/math/cbrt.rs
Copyright: 1993 by Sun Microsystems, Inc. All rights reserved.
License: UNKNOWN-LICENSE; FIXME (overlay)
Comment:
 FIXME (overlay): These notices are extracted from files. Please review them
 before uploading to the archive.

Files: ./src/math/cbrtf.rs
Copyright: 1993 by Sun Microsystems, Inc. All rights reserved.
License: UNKNOWN-LICENSE; FIXME (overlay)
Comment:
 FIXME (overlay): These notices are extracted from files. Please review them
 before uploading to the archive.

Files: ./src/math/cos.rs
Copyright: 1993 by Sun Microsystems, Inc. All rights reserved.
License: UNKNOWN-LICENSE; FIXME (overlay)
Comment:
 FIXME (overlay): These notices are extracted from files. Please review them
 before uploading to the archive.

Files: ./src/math/cosf.rs
Copyright: 1993 by Sun Microsystems, Inc. All rights reserved.
License: UNKNOWN-LICENSE; FIXME (overlay)
Comment:
 FIXME (overlay): These notices are extracted from files. Please review them
 before uploading to the archive.

Files: ./src/math/erf.rs
Copyright: 1993 by Sun Microsystems, Inc. All rights reserved.
License: UNKNOWN-LICENSE; FIXME (overlay)
Comment:
 FIXME (overlay): These notices are extracted from files. Please review them
 before uploading to the archive.

Files: ./src/math/erff.rs
Copyright: 1993 by Sun Microsystems, Inc. All rights reserved.
License: UNKNOWN-LICENSE; FIXME (overlay)
Comment:
 FIXME (overlay): These notices are extracted from files. Please review them
 before uploading to the archive.

Files: ./src/math/exp.rs
Copyright: 2004 by Sun Microsystems, Inc. All rights reserved.
License: UNKNOWN-LICENSE; FIXME (overlay)
Comment:
 FIXME (overlay): These notices are extracted from files. Please review them
 before uploading to the archive.

Files: ./src/math/exp2.rs
Copyright: 2005 David Schultz <das@FreeBSD.ORG>
License: UNKNOWN-LICENSE; FIXME (overlay)
Comment:
 FIXME (overlay): These notices are extracted from files. Please review them
 before uploading to the archive.

Files: ./src/math/exp2f.rs
Copyright: 2005 David Schultz <das@FreeBSD.ORG>
License: UNKNOWN-LICENSE; FIXME (overlay)
Comment:
 FIXME (overlay): These notices are extracted from files. Please review them
 before uploading to the archive.

Files: ./src/math/expf.rs
Copyright: 1993 by Sun Microsystems, Inc. All rights reserved.
License: UNKNOWN-LICENSE; FIXME (overlay)
Comment:
 FIXME (overlay): These notices are extracted from files. Please review them
 before uploading to the archive.

Files: ./src/math/expm1.rs
Copyright: 1993 by Sun Microsystems, Inc. All rights reserved.
License: UNKNOWN-LICENSE; FIXME (overlay)
Comment:
 FIXME (overlay): These notices are extracted from files. Please review them
 before uploading to the archive.

Files: ./src/math/expm1f.rs
Copyright: 1993 by Sun Microsystems, Inc. All rights reserved.
License: UNKNOWN-LICENSE; FIXME (overlay)
Comment:
 FIXME (overlay): These notices are extracted from files. Please review them
 before uploading to the archive.

Files: ./src/math/fmaf.rs
Copyright: 2005-2011 David Schultz <das@FreeBSD.ORG>
License: UNKNOWN-LICENSE; FIXME (overlay)
Comment:
 FIXME (overlay): These notices are extracted from files. Please review them
 before uploading to the archive.

Files: ./src/math/j0.rs
Copyright: 1993 by Sun Microsystems, Inc. All rights reserved.
License: UNKNOWN-LICENSE; FIXME (overlay)
Comment:
 FIXME (overlay): These notices are extracted from files. Please review them
 before uploading to the archive.

Files: ./src/math/j0f.rs
Copyright: 1993 by Sun Microsystems, Inc. All rights reserved.
License: UNKNOWN-LICENSE; FIXME (overlay)
Comment:
 FIXME (overlay): These notices are extracted from files. Please review them
 before uploading to the archive.

Files: ./src/math/j1.rs
Copyright: 1993 by Sun Microsystems, Inc. All rights reserved.
License: UNKNOWN-LICENSE; FIXME (overlay)
Comment:
 FIXME (overlay): These notices are extracted from files. Please review them
 before uploading to the archive.

Files: ./src/math/j1f.rs
Copyright: 1993 by Sun Microsystems, Inc. All rights reserved.
License: UNKNOWN-LICENSE; FIXME (overlay)
Comment:
 FIXME (overlay): These notices are extracted from files. Please review them
 before uploading to the archive.

Files: ./src/math/jn.rs
Copyright: 1993 by Sun Microsystems, Inc. All rights reserved.
License: UNKNOWN-LICENSE; FIXME (overlay)
Comment:
 FIXME (overlay): These notices are extracted from files. Please review them
 before uploading to the archive.

Files: ./src/math/jnf.rs
Copyright: 1993 by Sun Microsystems, Inc. All rights reserved.
License: UNKNOWN-LICENSE; FIXME (overlay)
Comment:
 FIXME (overlay): These notices are extracted from files. Please review them
 before uploading to the archive.

Files: ./src/math/k_cos.rs
Copyright: 1993 by Sun Microsystems, Inc. All rights reserved.
License: UNKNOWN-LICENSE; FIXME (overlay)
Comment:
 FIXME (overlay): These notices are extracted from files. Please review them
 before uploading to the archive.

Files: ./src/math/k_cosf.rs
Copyright: 1993 by Sun Microsystems, Inc. All rights reserved.
License: UNKNOWN-LICENSE; FIXME (overlay)
Comment:
 FIXME (overlay): These notices are extracted from files. Please review them
 before uploading to the archive.

Files: ./src/math/k_sin.rs
Copyright: 1993 by Sun Microsystems, Inc. All rights reserved.
License: UNKNOWN-LICENSE; FIXME (overlay)
Comment:
 FIXME (overlay): These notices are extracted from files. Please review them
 before uploading to the archive.

Files: ./src/math/k_sinf.rs
Copyright: 1993 by Sun Microsystems, Inc. All rights reserved.
License: UNKNOWN-LICENSE; FIXME (overlay)
Comment:
 FIXME (overlay): These notices are extracted from files. Please review them
 before uploading to the archive.

Files: ./src/math/k_tan.rs
Copyright: 2004 Sun Microsystems, Inc.  All Rights Reserved.
License: UNKNOWN-LICENSE; FIXME (overlay)
Comment:
 FIXME (overlay): These notices are extracted from files. Please review them
 before uploading to the archive.

Files: ./src/math/k_tanf.rs
Copyright: 2004 Sun Microsystems, Inc.  All Rights Reserved.
License: UNKNOWN-LICENSE; FIXME (overlay)
Comment:
 FIXME (overlay): These notices are extracted from files. Please review them
 before uploading to the archive.

Files: ./src/math/lgamma_r.rs
Copyright: 1993 by Sun Microsystems, Inc. All rights reserved.
License: UNKNOWN-LICENSE; FIXME (overlay)
Comment:
 FIXME (overlay): These notices are extracted from files. Please review them
 before uploading to the archive.

Files: ./src/math/lgammaf_r.rs
Copyright: 1993 by Sun Microsystems, Inc. All rights reserved.
License: UNKNOWN-LICENSE; FIXME (overlay)
Comment:
 FIXME (overlay): These notices are extracted from files. Please review them
 before uploading to the archive.

Files: ./src/math/log.rs
Copyright: 1993 by Sun Microsystems, Inc. All rights reserved.
License: UNKNOWN-LICENSE; FIXME (overlay)
Comment:
 FIXME (overlay): These notices are extracted from files. Please review them
 before uploading to the archive.

Files: ./src/math/log10.rs
Copyright: 1993 by Sun Microsystems, Inc. All rights reserved.
License: UNKNOWN-LICENSE; FIXME (overlay)
Comment:
 FIXME (overlay): These notices are extracted from files. Please review them
 before uploading to the archive.

Files: ./src/math/log10f.rs
Copyright: 1993 by Sun Microsystems, Inc. All rights reserved.
License: UNKNOWN-LICENSE; FIXME (overlay)
Comment:
 FIXME (overlay): These notices are extracted from files. Please review them
 before uploading to the archive.

Files: ./src/math/log1p.rs
Copyright: 1993 by Sun Microsystems, Inc. All rights reserved.
License: UNKNOWN-LICENSE; FIXME (overlay)
Comment:
 FIXME (overlay): These notices are extracted from files. Please review them
 before uploading to the archive.

Files: ./src/math/log1pf.rs
Copyright: 1993 by Sun Microsystems, Inc. All rights reserved.
License: UNKNOWN-LICENSE; FIXME (overlay)
Comment:
 FIXME (overlay): These notices are extracted from files. Please review them
 before uploading to the archive.

Files: ./src/math/log2.rs
Copyright: 1993 by Sun Microsystems, Inc. All rights reserved.
License: UNKNOWN-LICENSE; FIXME (overlay)
Comment:
 FIXME (overlay): These notices are extracted from files. Please review them
 before uploading to the archive.

Files: ./src/math/log2f.rs
Copyright: 1993 by Sun Microsystems, Inc. All rights reserved.
License: UNKNOWN-LICENSE; FIXME (overlay)
Comment:
 FIXME (overlay): These notices are extracted from files. Please review them
 before uploading to the archive.

Files: ./src/math/logf.rs
Copyright: 1993 by Sun Microsystems, Inc. All rights reserved.
License: UNKNOWN-LICENSE; FIXME (overlay)
Comment:
 FIXME (overlay): These notices are extracted from files. Please review them
 before uploading to the archive.

Files: ./src/math/pow.rs
Copyright: 2004 by Sun Microsystems, Inc. All rights reserved.
License: UNKNOWN-LICENSE; FIXME (overlay)
Comment:
 FIXME (overlay): These notices are extracted from files. Please review them
 before uploading to the archive.

Files: ./src/math/powf.rs
Copyright: 1993 by Sun Microsystems, Inc. All rights reserved.
License: UNKNOWN-LICENSE; FIXME (overlay)
Comment:
 FIXME (overlay): These notices are extracted from files. Please review them
 before uploading to the archive.

Files: ./src/math/rem_pio2.rs
Copyright: 1993 by Sun Microsystems, Inc. All rights reserved.
License: UNKNOWN-LICENSE; FIXME (overlay)
Comment:
 FIXME (overlay): These notices are extracted from files. Please review them
 before uploading to the archive.

Files: ./src/math/rem_pio2_large.rs
Copyright: 1993 by Sun Microsystems, Inc. All rights reserved.
License: UNKNOWN-LICENSE; FIXME (overlay)
Comment:
 FIXME (overlay): These notices are extracted from files. Please review them
 before uploading to the archive.

Files: ./src/math/rem_pio2f.rs
Copyright: 1993 by Sun Microsystems, Inc. All rights reserved.
License: UNKNOWN-LICENSE; FIXME (overlay)
Comment:
 FIXME (overlay): These notices are extracted from files. Please review them
 before uploading to the archive.

Files: ./src/math/sin.rs
Copyright: 1993 by Sun Microsystems, Inc. All rights reserved.
License: UNKNOWN-LICENSE; FIXME (overlay)
Comment:
 FIXME (overlay): These notices are extracted from files. Please review them
 before uploading to the archive.

Files: ./src/math/sincos.rs
Copyright: 1993 by Sun Microsystems, Inc. All rights reserved.
License: UNKNOWN-LICENSE; FIXME (overlay)
Comment:
 FIXME (overlay): These notices are extracted from files. Please review them
 before uploading to the archive.

Files: ./src/math/sincosf.rs
Copyright: 1993 by Sun Microsystems, Inc. All rights reserved.
License: UNKNOWN-LICENSE; FIXME (overlay)
Comment:
 FIXME (overlay): These notices are extracted from files. Please review them
 before uploading to the archive.

Files: ./src/math/sinf.rs
Copyright: 1993 by Sun Microsystems, Inc. All rights reserved.
License: UNKNOWN-LICENSE; FIXME (overlay)
Comment:
 FIXME (overlay): These notices are extracted from files. Please review them
 before uploading to the archive.

Files: ./src/math/sqrt.rs
Copyright: 1993 by Sun Microsystems, Inc. All rights reserved.
License: UNKNOWN-LICENSE; FIXME (overlay)
Comment:
 FIXME (overlay): These notices are extracted from files. Please review them
 before uploading to the archive.

Files: ./src/math/sqrtf.rs
Copyright: 1993 by Sun Microsystems, Inc. All rights reserved.
License: UNKNOWN-LICENSE; FIXME (overlay)
Comment:
 FIXME (overlay): These notices are extracted from files. Please review them
 before uploading to the archive.

Files: ./src/math/tan.rs
Copyright: 1993 by Sun Microsystems, Inc. All rights reserved.
License: UNKNOWN-LICENSE; FIXME (overlay)
Comment:
 FIXME (overlay): These notices are extracted from files. Please review them
 before uploading to the archive.

Files: ./src/math/tanf.rs
Copyright: 1993 by Sun Microsystems, Inc. All rights reserved.
License: UNKNOWN-LICENSE; FIXME (overlay)
Comment:
 FIXME (overlay): These notices are extracted from files. Please review them
 before uploading to the archive.

Files: debian/*
Copyright:
 2020 Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 2020 Andrej Shadura <andrewsh@debian.org>
License: MIT or Apache-2.0

License: Apache-2.0
 Debian systems provide the Apache 2.0 license in
 /usr/share/common-licenses/Apache-2.0

License: MIT
 Permission is hereby granted, free of charge, to any person obtaining a copy
 of this software and associated documentation files (the "Software"), to deal
 in the Software without restriction, including without limitation the rights
 to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:
 .
 The above copyright notice and this permission notice shall be included in all
 copies or substantial portions of the Software.
 .
 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
 AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 SOFTWARE.
